Bug 84536 - apidocs directory not included in rpm-4.2-0.68.src.rpm
Summary: apidocs directory not included in rpm-4.2-0.68.src.rpm
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-18 16:37 UTC by Ken MacFarlane
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-20 16:15:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken MacFarlane 2003-02-18 16:37:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030103

Description of problem:
rpmbuild --rebuild rpm-4.2-0.68.src.rpm fails when trying to add the apidocs
directory to the final rpm.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpmbuild --rebuild rpm-4.2-0.68.src.rpm
    

Actual Results:  output from rpmbuild:

+ touch /var/tmp/rpm-root/var/lib/rpm/__db.001
+ touch /var/tmp/rpm-root/var/lib/rpm/__db.002
+ touch /var/tmp/rpm-root/var/lib/rpm/__db.003
+ touch /var/tmp/rpm-root/var/lib/rpm/__db.004
+ touch /var/tmp/rpm-root/var/lib/rpm/__db.005
+ touch /var/tmp/rpm-root/var/lib/rpm/__db.006
+ touch /var/tmp/rpm-root/var/lib/rpm/__db.007
+ touch /var/tmp/rpm-root/var/lib/rpm/__db.008
+ touch /var/tmp/rpm-root/var/lib/rpm/__db.009
+ gzip -9n 'apidocs/man/man*/*'
gzip: apidocs/man/man*/*: No such file or directory

then later in rpmbuild:

Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.97934
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd rpm-4.2
+ DOCDIR=/var/tmp/rpm-root/usr/share/doc/rpm-devel-4.2
+ export DOCDIR
+ rm -rf /var/tmp/rpm-root/usr/share/doc/rpm-devel-4.2
+ /bin/mkdir -p /var/tmp/rpm-root/usr/share/doc/rpm-devel-4.2
+ cp -pr apidocs /var/tmp/rpm-root/usr/share/doc/rpm-devel-4.2
cp: cannot stat `apidocs': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.97934 (%doc)


Expected Results:  rpmbuild completes successfully

Additional info:

Comment 1 Jeff Johnson 2003-02-20 16:15:02 UTC
Do you have doxygen installed? If not, then you will need
to adjust the spec file to skip apidocs packaging, as
the directory is created iff doxygen is available when configuring.

Comment 2 Ken MacFarlane 2003-02-20 21:43:28 UTC
doxygen was not installed; once I installed it, the build completed
successfully.  Perhaps doxygen should be a prereq for the source rpm?


Note You need to log in before you can comment on or make changes to this bug.